<!DOCTYPE html>
<html>
<head>
	<title>GFI HelpDesk Pre Installation Checklist</title>
	<style type="text/css">
	body {
		font-family: "Century Gothic", CenturyGothic, Geneva, AppleGothic, sans-serif;
	}
	</style>
</head>
<body>

<h1>GFI HelpDesk Checklist</h1>

<?php


if (phpversion() <= 7)
	echo "<div><span style='color:red'>Error PHP version is less than 7.1</span></div>";
?>

<div>
<p>Required PHP Extensions and their current status is listed below. Any <b>missing</b> extensions need to be installed prior proceeding with the installation of GFI HelpDesk. <a href="https://go.gfi.com/?pageid=GFIHelpdeskInstall" target="_blank">More Information</a></p>
<?php
function checkExt($exts)
{
	if (extension_loaded($exts))
		echo "$exts <span style='color:green'>OK</span> <br />";
	else
		echo "$exts <span style='color:red'>MISSING</span> - Please install/enable extension from php.ini <br />";
}

checkExt('mbstring');
checkExt('openssl');
checkExt('gd');
checkExt('curl');
checkExt('mysqli');
checkExt('pdo');
checkExt('pdo_mysql');
checkExt('simplexml');
checkExt('filter');
checkExt('json');
checkExt('imap');
checkExt('sockets');
checkExt('intl');
checkExt('fileinfo');

?>
<br />
</div>

<?php
	if (file_exists(dirname(__FILE__)."/setup/index.php") == false)
	{
			echo "<div>Seems that GFI HelpDesk is already installed!</div>";
			die;
	}

	if (file_exists(dirname(__FILE__)."/key.php") == false)
	{
		echo "<div><span style='color:red'>Error license (key.php) file not found! Please copy the license key.php file</span></div>";
	}
?>

<?php
	if (file_exists(dirname(__FILE__)."/__swift/config/config.php") == false)
	{
		echo "<div><span style='color:red'>Error Configuration (config.php) file not found! Please rename config.php.new to config.php and set up MySQL/MariaDB configuration</span></div>";
	}
	
	if (file_exists(dirname(__FILE__)."/__swift/config/config.php"))
	{ 
		$configd = file_get_contents(dirname(__FILE__)."/__swift/config/config.php");
				
		if (strpos($configd, "my_password_here") !== false) 
		{
			echo "<div><span style='color:red'>Error Configuration (config.php) file incorrect! Please make sure to correctly configure config.php</span></div>";
		}
	}
	
?>

<div>
<p>Checking Folder Permissions</p>
<?php
	function checkWritePermission($dir)
	{
		try 
		{
			$dt = date("U");
			
			if (strpos($dir, ':') > 0) {
				$fname = $dir . "/" . $dt . ".tmp";
			}
			else {
				$fname = dirname(__FILE__) . $dir . "/" . $dt . ".tmp";
			}
			
			$fs = fopen($fname, "w");
			if ( !$fs ) {
				throw new Exception('File open failed.');
			}  
			
			fwrite($fs, $dt);
			fclose($fs);
			
				
			if (!unlink($fname)) {  
				return "Could Not Delete File";
			}  
				
			return "OK";
		}
		catch (Exception $ex)
		{
			return "ERROR";
		}
	}

	
	function checkFolderPerm($dir)
	{
		$ret = @checkWritePermission($dir);
		if ($ret == "OK")
			echo "$dir <span style='color:green'>OK</span> <br />";
		else if ($ret == "ERROR")
			echo "$dir <span style='color:red'>ERROR</span> - Write permission denied <br />";
		else
			echo "$dir <span style='color:red'>ERROR</span> - $ret<br />";
	}
	
	//checkFolderPerm('/__swift');
	checkFolderPerm('/__swift/cache');
	checkFolderPerm('/__swift/geoip');
	checkFolderPerm('/__swift/logs');
	checkFolderPerm('/__swift/library');
	checkFolderPerm('/__apps');
	if (strcasecmp(substr(PHP_OS, 0, 3), 'WIN') == 0) {
		checkFolderPerm(sys_get_temp_dir()); //C:\Windows\Temp
	}
	?>
	<br />
</div>

<div>
<p>Once all extensions and steps above are OK you can start the installation from below:</p>
<a href="./setup/"> Install GFI HelpDesk </a>
</div>

</body>
</html>