<?php
/**
 * ###############################################
 *
 * Kayako Classic
 * _______________________________________________
 *
 * @author        Busayo Arotimi <arotimi.busayo@crossover.com>
 *
 * @package       swift
 * @copyright     Copyright (c) 2001-2018, Trilogy
 * @license       http://kayako.com/license
 * @link          http://kayako.com
 *
 * ###############################################
 */

namespace Base\Library\CustomField;

use SWIFT;
use SWIFT_TestCase;

/**
 * Class SWIFT_CustomFieldManagerTest
 * @package Base\Library\CustomField
 */
class SWIFT_CustomFieldManagerTest extends SWIFT_TestCase
{

    public function testCanDecrypt()
    {
        $testString = 'TestEncrypt';
        $mcryptEncrypt = $this->oldEncrypt($testString);

        $decryptedValue = SWIFT_CustomFieldManager::Decrypt($mcryptEncrypt);

        $this->assertSame($testString, $decryptedValue);
    }

    private function oldEncrypt($_stringValue)
    {
        $iv_size = mcrypt_get_iv_size(MCRYPT_RIJNDAEL_256, MCRYPT_MODE_ECB);
        $iv = mcrypt_create_iv($iv_size, MCRYPT_RAND);

        $value = mcrypt_encrypt(MCRYPT_RIJNDAEL_256, SWIFT::Get('InstallationHash'), $_stringValue, MCRYPT_MODE_ECB, $iv);

        return trim(base64_encode($value));
    }
}
